EM.Presentation/Controllers/CommentController.cs
using EM.Data;
using EM.Domain.Entities;
using EM.Presentation.Areas.Tenant;
using EM.Presentation.Areas.Tenant.Helpers;
using EM.Presentation.Models;
using EM.Service;
using EM.Service.UserService;
using Microsoft.AspNet.Identity;
using Microsoft.AspNet.Identity.Owin;
using Microsoft.Owin.Security;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;

namespace EM.Presentation.Controllers
{
    public class CommentController : AppController
    {

        IUserService UserService;
        private ApplicationUserManager _userManager;
        private ApplicationRoleManager _roleManager;
        private Tenant _tenant;
        IParticipantService MyParticipantService;
        ICommentService MyCommentService;
        IReplyService MyReplyService;

        public CommentController()
        {
            UserService = new UserService();
            MyParticipantService = new ParticipantService();
            MyCommentService = new CommentService();
            MyReplyService = new ReplyService();
        }
        public CommentController(ApplicationUserManager userManager, ApplicationRoleManager roleManager):base()
        {
            UserManager = userManager;
            RoleManager = roleManager;
        }

        public Tenant Current_Tenant
        {
            get
            {
                return _tenant ?? base.current_tenant;
            }
            private set
            {
                _tenant = value;
            }
        }
        public ApplicationUserManager UserManager
        {
            get
            {
                return _userManager ?? HttpContext.GetOwinContext().GetUserManager<ApplicationUserManager>();
            }
            private set
            {
                _userManager = value;
            }
        }

        public IAuthenticationManager AuthenticationManager
        {
            get
            {
                return HttpContext.GetOwinContext().Authentication;
            }
        }

        public ApplicationRoleManager RoleManager
        {
            get
            {
                return _roleManager ?? Request.GetOwinContext().GetUserManager<ApplicationRoleManager>();
            }
            private set
            {
                _roleManager = value;
            }
        }


        /************************************ Actions ************************************************************/


        
        // GET: Comment
        //Affichage
        public ActionResult Index(string searchString)
        {
            var Comments = new List<CommentVM>();
            ApplicationUser current_user = UserManager.FindById(System.Web.HttpContext.Current.User.Identity.GetUserId());
            foreach (Comment c in MyCommentService.SearchCommentsByName(searchString))
            {
                var participant = UserManager.FindById(c.ParticipantId);
                Comments.Add(new CommentVM()
                {
                    Id = c.Id,
                    Text = c.Text,
                    CreatedOn = c.CreatedOn,
                    //ParticipantId = c.ParticipantId,
                    ParticipantName = participant.UserName,
                    ParticipantImage = participant.ParticipantImage,
                });
            }
            return View(Comments);
        }

        // GET: Comment/Details/5
        public ActionResult Details(int id)
        {
            return View();
        }

        // GET: Comment/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Comment/Create
        [HttpPost]
        [TenantAuthorize(Roles = "Participant")]
        public PartialViewResult Create(string contenu)
        {
            ApplicationUser current_user = UserManager.FindById(System.Web.HttpContext.Current.User.Identity.GetUserId());
            Comment CommentDoamin = new Comment()
            {

                Text = contenu,
                CreatedOn = DateTime.UtcNow,
                ParticipantId = current_user.Id,
                ParticipantName = current_user.UserName,
                //ParticipantImage = ParticipantImage.FileName,
                
            };
            MyCommentService.Add(CommentDoamin);
            MyCommentService.Commit();
 


            return PartialView("OneComment",new CommentVM{Text= CommentDoamin.Text,
                CreatedOn= CommentDoamin.CreatedOn,
                ParticipantId= CommentDoamin.ParticipantId,
                ParticipantName=CommentDoamin.ParticipantName,
                ParticipantImage=CommentDoamin.ParticipantImage,
            });
        }

        // GET: Comment/Edit/5
        public ActionResult Edit(int id)
        {
            return View();
        }

        // POST: Comment/Edit/5
        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: Comment/Delete/5
        public ActionResult Delete(int id)
        {
            return View();
        }

        // POST: Comment/Delete/5
        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            Comment c = MyCommentService.GetById(id);
            MyCommentService.Delete(c);
            MyCommentService.Commit();
                

                return RedirectToAction("Index");
           
        }



        public ActionResult Edit2(int id)
        {

            Comment p = MyCommentService.GetById(id);
            CommentVM pm = new CommentVM();

            pm.ParticipantId = p.ParticipantId;
            pm.Text = p.Text;
            pm.CreatedOn = p.CreatedOn;
            return View(pm);
        }

        // POST: Resource/Edit/5
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit2(int id, CommentVM pm)
        {

            try
            {

                Comment p = MyCommentService.GetById(id);

                p.ParticipantId = pm.ParticipantId;
                p.Text = pm.Text;
                p.CreatedOn = pm.CreatedOn;
                MyCommentService.Update(p);
                MyCommentService.Commit();


                // TODO: Add update logic here




                return RedirectToAction("Index");
            }
            catch (Exception ex)
            {
                return View(pm);
            }
        }


        ///////////******************************************REPLY************************************************/////////////////////////////////
        // GET: Reply
        public ActionResult Index1(int commid)
        {
            var replies = new List<ReplyVM>();
            ApplicationUser current_user = UserManager.FindById(System.Web.HttpContext.Current.User.Identity.GetUserId());
            foreach (Reply r in MyReplyService.GetMany())
            {
                if (r.CommentId == commid)
                {
                    var participant = UserManager.FindById(r.ParticipantId);
                    replies.Add(new ReplyVM()
                    {
                        Id = r.Id,
                        Text = r.Text,
                        CreatedOn = r.CreatedOn,
                        ParticipantId = r.ParticipantId,
                        ParticipantName = r.ParticipantName,
                        CommentId = r.CommentId,

                    });
                    //ViewBag.commentId = commid;
                }
            }
            return View(replies);
        }


        // POST: Reply/Create
        [HttpPost]
        [TenantAuthorize(Roles = "Participant")]
        public PartialViewResult Create1(string contenu1)
        {
            ApplicationUser current_user = UserManager.FindById(System.Web.HttpContext.Current.User.Identity.GetUserId());
            Reply RepliesDomain = new Reply()
            {

                Text = contenu1,
                CreatedOn = DateTime.UtcNow,
                ParticipantId = current_user.Id,
                ParticipantName = current_user.UserName,

            };
            MyReplyService.Add(RepliesDomain);
            MyReplyService.Commit();


            return PartialView("OneReply", new ReplyVM
            {
                Text = RepliesDomain.Text,
                CreatedOn = RepliesDomain.CreatedOn,
                ParticipantId = RepliesDomain.ParticipantId,
                ParticipantName = RepliesDomain.ParticipantName,
            });
        }



        // POST: Reply/Delete/5
        [HttpPost]
        public ActionResult Delete1(int id, FormCollection collection)
        {
            Reply r = MyReplyService.GetById(id);
            MyReplyService.Delete(r);
            MyReplyService.Commit();


            return RedirectToAction("Index");
        }


        public ActionResult Edit3(int id)
        {

            Reply r = MyReplyService.GetById(id);
            ReplyVM rm = new ReplyVM();

            rm.ParticipantId = r.ParticipantId;
            rm.Text = r.Text;
            rm.CreatedOn = r.CreatedOn;
            return View(rm);
        }

        // POST: Resource/Edit/5
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit3(int id, ReplyVM rm)
        {

            try
            {

                Reply r = MyReplyService.GetById(id);

                r.ParticipantId = rm.ParticipantId;
                r.Text = rm.Text;
                r.CreatedOn = rm.CreatedOn;
                MyReplyService.Update(r);
                MyReplyService.Commit();


                // TODO: Add update logic here




                return RedirectToAction("Index1");
            }
            catch (Exception ex)
            {

EM.Presentation/Controllers/ReplyController.cs
using EM.Data;
using EM.Domain.Entities;
using EM.Presentation.Areas.Tenant;
using EM.Presentation.Areas.Tenant.Helpers;
using EM.Presentation.Models;
using EM.Service;
using EM.Service.UserService;
using Microsoft.AspNet.Identity;
using Microsoft.AspNet.Identity.Owin;
using Microsoft.Owin.Security;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EM.Presentation.Controllers
{
    public class ReplyController : AppController
    {

        IUserService UserService;
        private ApplicationUserManager _userManager;
        private ApplicationRoleManager _roleManager;
        private Tenant _tenant;
        IParticipantService MyParticipantService;
        ICommentService MyCommentService;
        IReplyService MyReplyService;

        public ReplyController()
        {
            UserService = new UserService();
            MyParticipantService = new ParticipantService();
            MyCommentService = new CommentService();
            MyReplyService = new ReplyService();
        }
        public ReplyController(ApplicationUserManager userManager, ApplicationRoleManager roleManager) : base()
        {
            UserManager = userManager;
            RoleManager = roleManager;
        }

        public Tenant Current_Tenant
        {
            get
            {
                return _tenant ?? base.current_tenant;
            }
            private set
            {
                _tenant = value;
            }
        }
        public ApplicationUserManager UserManager
        {
            get
            {
                return _userManager ?? HttpContext.GetOwinContext().GetUserManager<ApplicationUserManager>();
            }
            private set
            {
                _userManager = value;
            }
        }

        public IAuthenticationManager AuthenticationManager
        {
            get
            {
                return HttpContext.GetOwinContext().Authentication;
            }
        }

        public ApplicationRoleManager RoleManager
        {
            get
            {
                return _roleManager ?? Request.GetOwinContext().GetUserManager<ApplicationRoleManager>();
            }
            private set
            {
                _roleManager = value;
            }
        }


        /************************************ Actions ************************************************************/



        // GET: Reply
        //Affichage
        public ActionResult Index1(string searchString)
        {
            var replies = new List<ReplyVM>();
            ApplicationUser current_user = UserManager.FindById(System.Web.HttpContext.Current.User.Identity.GetUserId());
            foreach (Comment c in MyCommentService.SearchCommentsByName(searchString))
            {
                var participant = UserManager.FindById(c.ParticipantId);
                replies.Add(new ReplyVM()
                {
                    Id = c.Id,
                    Text = c.Text,
                    CreatedOn = c.CreatedOn,
                    //ParticipantId = c.ParticipantId,
                    ParticipantName = participant.UserName,
                    //ParticipantImage = participant.ParticipantImage,
                });
            }
            return View(replies);
        }

        // GET: Comment/Details/5
        public ActionResult Details(int id)
        {
            return View();
        }

        // GET: Comment/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Comment/Create
        [HttpPost]
        [TenantAuthorize(Roles = "Participant")]
        public PartialViewResult Create1(string contenu)
        {
            ApplicationUser current_user = UserManager.FindById(System.Web.HttpContext.Current.User.Identity.GetUserId());
            Reply ReplyDomain = new Reply()
            {

                Text = contenu,
                CreatedOn = DateTime.UtcNow,
                ParticipantId = current_user.Id,
                ParticipantName = current_user.UserName,
                //ParticipantImage = ParticipantImage.FileName,

            };
            MyReplyService.Add(ReplyDomain);
            MyReplyService.Commit();



            return PartialView("OneReply", new ReplyVM
            {
                Text = ReplyDomain.Text,
                CreatedOn = ReplyDomain.CreatedOn,
                ParticipantId = ReplyDomain.ParticipantId,
                ParticipantName = ReplyDomain.ParticipantName,
                //ParticipantImage = ReplyDomain.ParticipantImage,
            });
        }

        // GET: Comment/Edit/5
        public ActionResult Edit(int id)
        {
            return View();
        }

        // POST: Comment/Edit/5
        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here

                return RedirectToAction("Index1");
            }
            catch
            {
                return View();
            }
        }

        // GET: Comment/Delete/5
        public ActionResult Delete1(int id)
        {
            return View();
        }

        // POST: Comment/Delete/5
        [HttpPost]
        public ActionResult Delete1(int id, FormCollection collection)
        {
            Reply r = MyReplyService.GetById(id);
            MyReplyService.Delete(r);
            MyReplyService.Commit();


            return RedirectToAction("Index1");

        }



        public ActionResult Edit3(int id)
        {

            Reply p = MyReplyService.GetById(id);
            ReplyVM pm = new ReplyVM();

            pm.ParticipantId = p.ParticipantId;
            pm.Text = p.Text;
            pm.CreatedOn = p.CreatedOn;
            return View(pm);
        }

        // POST: Resource/Edit/5
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit3(int id, ReplyVM pm)
        {

            try
            {

                Reply p = MyReplyService.GetById(id);

                p.ParticipantId = pm.ParticipantId;
                p.Text = pm.Text;
                p.CreatedOn = pm.CreatedOn;
                MyReplyService.Update(p);
                MyReplyService.Commit();


                // TODO: Add update logic here




                return RedirectToAction("Index1");
            }
            catch (Exception ex)
            {
                return View(pm);
            }
        }

    }
}

EM.Presentation/Views/Comment/Delete.cshtml
@model EM.Presentation.Models.CommentVM

@{
    ViewBag.Title = "Delete";
    Layout = "~/Views/Shared/_CustomLayout.cshtml";
}

<h2>Delete</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>Supprimmer votre commentaire</h4>
    <hr />

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-primary btn-lg" />
            <hr />
        </div>
    }
</div>

EM.Presentation/Views/Comment/Delete1.cshtml
@model EM.Presentation.Models.ReplyVM

@{
    ViewBag.Title = "Delete1";
    Layout = "~/Views/Shared/_CustomLayout.cshtml";
}

<h2>Delete1</h2>

<h3>Are you sure you want to delete this?</h3>
<div>
    <h4>ReplyVM</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Text)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Text)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ParticipantId)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ParticipantId)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ParticipantName)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ParticipantName)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.CommentId)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.CommentId)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "Index")
        </div>
    }
</div>

EM.Presentation/Views/Comment/Edit2.cshtml
@model EM.Presentation.Models.CommentVM
@{
    ViewBag.Title = "Edit2";
    Layout = "~/Views/Shared/_CustomLayout.cshtml";
}
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>Modidier votre commentaire</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Id)

        <div class="form-group">
            @Html.LabelFor(model => model.Text, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Text, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Text, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.CreatedOn, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.CreatedOn, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.CreatedOn, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ParticipantId, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ParticipantId, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.ParticipantId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

EM.Presentation/Views/Comment/Edit3.cshtml
@model EM.Presentation.Models.ReplyVM

@{
    ViewBag.Title = "Edit3";
    Layout = "~/Views/Shared/_CustomLayout.cshtml";
}

<h2>Edit3</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>ReplyVM</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Id)

        <div class="form-group">
            @Html.LabelFor(model => model.Text, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Text, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Text, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ParticipantId, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ParticipantId, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.ParticipantId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.ParticipantName, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ParticipantName, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.ParticipantName, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.CommentId, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.CommentId, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.CommentId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

EM.Presentation/Views/Comment/Index.cshtml
@model IEnumerable<EM.Presentation.Models.CommentVM>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_CustomLayout.cshtml";
}
<style>
    .lolo
    {
        margin-left: 60%;
    }
</style>


@using (Html.BeginForm())
    {
    <div>                
                <nav class="navbar navbar-expand-lg bg-rose">
                    <div class="container">
                       
                        <div class="collapse navbar-collapse">
                           
                            <form class="form-inline ml-auto">
                                @Html.TextBox("searchString")
                                <button type="submit" class="btn btn-white btn-raised btn-fab btn-round" id="submit">
                                    <i class="material-icons">search </i>
                                </button>
                            </form>
                        </div>
                    </div>
                </nav>



        
        @*<a href="@Html.ActionLink("Back to List", "Index")" class="nav-link">  <div class="ripple-container"></div></a>*@


               
                @*<div>
                    Recherche: @Html.TextBox("searchString")
                </div>*@
           
                
                @*<input type="submit" value="Search" id="submit" />*@
                @*<a class="btn btn-rose"  @Html.ActionLink("Back to List", "Index" )
*@
    </div>

}




<table class="table text-center" id="table" align="center">
    <tr style="border:1px solid black"> 
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>

           @Html.Partial("_DisplayImg",item)
        </td>
        
        <td>
            @Html.DisplayFor(modelItem => item.ParticipantName)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Text)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.CreatedOn)
        </td>
        <td><span class="likebtn-wrapper" data-theme="custom" data-icon_l_c_v="#fb0505" data-icon_d_c_v="#f0ff00" data-label_c_v="#ff0000" data-counter_d_c="#f0ff00" data-lang="fr" data-ef_voting="buzz" data-identifier="dis/like" data-voting_frequency="90"></span>
        </td>

       
        <td>
            
            @Html.ActionLink("Rep", "Index1", new { commid = item.Id }) ( @Html.Action("nbReplies", new { idCom = item.Id }) ) |
            @Html.ActionLink("Edit", "Edit2", new { id=item.Id }) |
            @*<a href="@Url.Action("Delete", "Comment", new { id=item.Id })" class="button" style="font-size:24px"> <i class="fa fa-trash-o"></i></a>*@
             @Html.ActionLink("Delete", "Delete", new { id=item.Id })
        </td>
    </tr>
}
</table>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $("button").click(function(){
    $("textarea").toggle();
  });
});
</script>


    <head>

        <meta name='viewport' content='width=device-width, initial-scale=1'>
        <link rel='stylesheet' href='https://use.fontawesome.com/releases/v5.7.0/css/all.css' integrity='sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ' crossorigin='anonymous'>
    </head>


    <body>
        <table>
            <tr>
                <td>
                <textarea id="comm" placeholder="votre commentaire"></textarea>
                </td>
                <td>
                <button class="btn btn-rose" id="show">Mettre un commentaire&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<i style='font-size:24px' class='far'>&#xf075;</i><div class="ripple-container"></div></button>
                </td>
            </tr>
        </table>
    </body>

@section scripts{
    <!-- LikeBtn.com BEGIN -->

<script>(function(d,e,s){if(d.getElementById("likebtn_wjs"))return;a=d.createElement(e);m=d.getElementsByTagName(e)[0];a.async=1;a.id="likebtn_wjs";a.src=s;m.parentNode.insertBefore(a, m)})(document,"script","//w.likebtn.com/js/w/widget.js");</script><!-- LikeBtn.com END -->

<script>
    $(function() {
        function getContent(){
            return document.getElementById("comm").value
        }

        $("#comm").keyup(function (e){
            var keycode = (event.keyCode ? event.keyCode : event.which);
            if(keycode == '13'){
                
                var contenu = document.getElementById("comm").value;
                if (contenu == "") {
                    window.console("un commentaire  ne peut pas etre vide ");
                }
                else {

                    $.ajax({
                        url: '@Url.Action("Create", "Comment")' + "?contenu=" + contenu,
                        type: "POST",
                        success: function (result) {
                            $('#table').append(result)
                            $("#comm").val("")
                        }
                        
                    })
                    
                }
            }


        })
    });
</script>




    

<script src="@Url.Content("~/Scripts/jquery-1.10.2.js")" type="text/javascript"></script>
<script src="@Url.Content("~/Scripts/ChatScript.js")" type="text/javascript"></script>
<h2>Just Chat</h2>
<body style="background-color: purple">
    <div id="body">
        <section>
            <div id="chatTemplate">
            </div>
            <div id="start">
                <label for="username">Enter username to start chatting</label>
                <input type="text" id="username" />
                <input type="button" value="set user" onclick="setUser()" />
            </div>
            <div id="message"></div>
            <div id="chatControl">
                <textarea type="text" id="push"></textarea>
                <button id="pushbtn" onclick="Send()">Send</button>
            </div>
        </section>
    </div>
</body>  


}

EM.Presentation/Views/Comment/Index1.cshtml
@model IEnumerable<EM.Presentation.Models.ReplyVM>

@{
    ViewBag.Title = "Index1";
    Layout = "~/Views/Shared/_CustomLayout.cshtml";
}

<h2>Index1</h2>


<table class="table text-center" id="table" align="center">
    <tr style="border:1px solid black"></tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.ParticipantName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Text)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedOn)
            </td>
            <td>
                @Html.ActionLink("Rep", "Index1", new { commid = item.Id }) |
                @Html.ActionLink("Edit", "Edit3", new { id = item.Id }) |
                @Html.ActionLink("Delete", "Delete1", new { id = item.Id })
        </tr>
    }

</table>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $("button").click(function(){
    $("textarea").toggle();
  });
});
</script>
<body>
    <textarea id="comm1" placeholder="votre commentaire"></textarea>
    <button class="btn btn-rose" id="show">Mettre un commentaire<div class="ripple-container"></div></button>


</body>
@section scripts{
    <script>
    $(function() {
        function getContent(){
            return document.getElementById("comm1").value
        }

        $("#comm1").keyup(function (e){
            var keycode = (event.keyCode ? event.keyCode : event.which);
            if(keycode == '13'){

                var contenu1 = document.getElementById("comm1").value;
                if (contenu1 == "") {
                    window.console("un commentaire  ne peut pas etre vide ");
                }
                else {

                    $.ajax({
                        url: '@Url.Action("Create1", "Reply")' + "?contenu1=" + contenu1,
                        type: "POST",
                        success: function (result) {
                            $('#table').append(result)
                            $("#comm1").val("")
                        }

                    })

                }
            }


        })
    });
    </script>
    }

EM.Presentation/Views/Comment/OneComment.cshtml
@model EM.Presentation.Models.CommentVM
<tr>
    <td>@Model.ParticipantName</td>
    <td>@Model.Text</td>
    <td>@Model.CreatedOn</td>
    <td>@Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Delete", "Delete", new { id = Model.Id })</td>
    </tr>

EM.Presentation/Views/Comment/OneReply.cshtml
@model EM.Presentation.Models.ReplyVM
<tr>
    <td>@Model.ParticipantName</td>
    <td>@Model.Text</td>
    <td>@Model.CreatedOn</td>
    <td>
        @Html.ActionLink("Edit", "Edit3", new { id = Model.Id }) |
    @Html.ActionLink("Delete", "Delete1", new { id = Model.Id })
</td>
</tr>